Ubuntu

install-package.py crashed with NameError in commit()

Reported by Dave Males on 2010-03-25
74
This bug affects 11 people
Affects Status Importance Assigned to Milestone
install-package (Ubuntu)
Medium
Jonathan Thomas
Lucid
Medium
Jonathan Thomas

Bug Description

Binary package hint: systemsettings-kde4

This crash while refreshing, after about 60 seconds*, also using mediabuntu and google repos.
* Can complete mostly using apt-get update after a few moments

ProblemType: Crash
Architecture: amd64
Date: Wed Mar 24 16:22:13 2010
DistroRelease: Ubuntu 10.04
ExecutablePath: /usr/share/python-support/install-package/install-package.py
InterpreterPath: /usr/bin/python2.6
Package: install-package 0.5.1
PackageArchitecture: all
ProcCmdline: python /usr/bin/install-package --update
ProcCwd: /home/bowman/Documents
ProcEnviron:
 PATH=(custom, no user)
 LANGUAGE=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
PythonArgs: ['/usr/bin/install-package', '--update']
SourcePackage: install-package
Title: install-package.py crashed with NameError in commit()
Traceback:
 Traceback (most recent call last):
   File "/usr/bin/install-package", line 218, in commit
     except (SystemError, apt.cache.FetchFailedException, LockFailedException), e:
 NameError: global name 'LockFailedException' is not defined
Uname: Linux 2.6.32-17-generic x86_64
UserGroups:

Dave Males (davidf100) wrote :
tags: removed: need-duplicate-check
Ralph Janke (txwikinger) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately, we cannot work on this bug because your description didn't include enough information. You may find it helpful to read "How to report bugs effectively" http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful if you would then provide a more complete description of the problem.

We have instructions on debugging some types of problems at http://wiki.ubuntu.com/DebuggingProcedures

At a minimum, we need:
1. the specific steps or actions you took that caused you to encounter the problem,
2. the behavior you expected, and
3. the behavior you actually encountered (in as much detail as possible).
Thanks!

Changed in kdebase-workspace (Ubuntu):
status: New → Incomplete

Got it, thanks Ralph.

On Sat, Mar 27, 2010 at 3:17 PM, Ralph Janke <email address hidden> wrote:
> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. Unfortunately, we cannot work on this bug because your
> description didn't include enough information. You may find it helpful
> to read "How to report bugs effectively"
> http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful
> if you would then provide a more complete description of the problem.
>
> We have instructions on debugging some types of problems at
> http://wiki.ubuntu.com/DebuggingProcedures
>
> At a minimum, we need:
> 1. the specific steps or actions you took that caused you to encounter the problem,
> 2. the behavior you expected, and
> 3. the behavior you actually encountered (in as much detail as possible).
> Thanks!
>
> ** Changed in: kdebase-workspace (Ubuntu)
>       Status: New => Incomplete
>
> --
> kde software updates, refresh
> https://bugs.launchpad.net/bugs/546708
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “kdebase-workspace” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: systemsettings-kde4
>
> This crash while refreshing, after about 60 seconds*, also using mediabuntu and google repos.
> * Can complete mostly using apt-get update after a few moments
>
> ProblemType: Crash
> Architecture: amd64
> Date: Wed Mar 24 16:22:13 2010
> DistroRelease: Ubuntu 10.04
> ExecutablePath: /usr/share/python-support/install-package/install-package.py
> InterpreterPath: /usr/bin/python2.6
> Package: install-package 0.5.1
> PackageArchitecture: all
> ProcCmdline: python /usr/bin/install-package --update
> ProcCwd: /home/bowman/Documents
> ProcEnviron:
>  PATH=(custom, no user)
>  LANGUAGE=
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
> PythonArgs: ['/usr/bin/install-package', '--update']
> SourcePackage: install-package
> Title: install-package.py crashed with NameError in commit()
> Traceback:
>  Traceback (most recent call last):
>   File "/usr/bin/install-package", line 218, in commit
>     except (SystemError, apt.cache.FetchFailedException, LockFailedException), e:
>  NameError: global name 'LockFailedException' is not defined
> Uname: Linux 2.6.32-17-generic x86_64
> UserGroups:
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/kdebase-workspace/+bug/546708/+subscribe
>

--
Yes, Gmail is great!
My local time is PDT or UTC/GMT Offset -7 hours.
<email address hidden> or <email address hidden>
end.

visibility: private → public
Changed in kdebase-workspace (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → Medium
milestone: none → ubuntu-10.04
affects: kdebase-workspace (Ubuntu) → install-package (Ubuntu)
Changed in install-package (Ubuntu Lucid):
assignee: nobody → Jonathan Thomas (echidnaman)
tags: added: kubuntu
summary: - kde software updates, refresh
+ install-package.py crashed with NameError in commit()
Changed in install-package (Ubuntu Lucid):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package install-package - 0.5.2

---------------
install-package (0.5.2) lucid; urgency=low

  * Specify that the LockFailedException is from the apt.cache library
    (LP: #546708)
  * Implement encoding wrappers to fix the encoding of exception error
    messages (LP: #468615)
 -- Jonathan Thomas <email address hidden> Sun, 18 Apr 2010 11:55:05 -0400

Changed in install-package (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers